1

I need a german Stemmer processor for my Search API in Drupal 8. Snowball Stemmer seems to be the right choice, but I can't get it to work. Snowball Stemmer requires a library. I think it is the wamania/php-stemmer.

It should be installed with composer but I am not familiar with composer.

I tried following:

composer require drupal/snowball_stemmer

But I am getting

 [InvalidArgumentException]                                                                                                 
 Could not find package drupal/snowball_stemmer at any version for your minimum-stability (stable). Check the package spelling or your minimum-stability  

I tried also:

composer require drupal/snowball_stemmer --dev --ignore-platform-reqs

but getting the same error.

How I can install Snowball Stemmer with a german library?

Browse other questions tagged or ask your own question.